package com.seeyon.apps.src_ydctdatasync.constants;

public enum YdzbdataSyncConstants {


    plugin("src_ydctdatasync","插件ID"),
    loginName("dev", "流程表创建人"),
    zcTable("formmain_0013","资产表表名"),
    zcFormNo("zcbd1","资产表单编号"),
    contractTable("formmain_0019","合同表表名"),
    contractFormNo("zcbd3","合同表单编号"),
    feeTable("formmain_0018","费用表表名"),
    feeFormNo("zcbd2","费用表单编号"),
    zcRootEnumPCode("9039506777142151368","资产档案枚举编码"),
    cwRootEnumPCode("-8314591789812725552","财务档案枚举编码")
    ;
    YdzbdataSyncConstants(String defaultValue, String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    private String defaultValue;
    private String description;

    public String getDefaultValue() {
        return defaultValue;
    }

    public String getDescription() {
        return description;
    }

    public static String getPluginId() {
        return plugin.defaultValue;
    }

}
